TELESCTRL(8)

NAME
telesctrl - configure Teles-Module-logging

SYNOPSIS
telesctrl [-d DriverId] 1 <LogFlags>

DESCRIPTION
telesctrl is used to setup the logging-level of the Teles-ISDN devicedriver. All logging-output is sent to the device /dev/isdnctrl. So you can show it by executing "cat /dev/isdnctrl".

The use of telesctrl makes sense, if you are using an Teles-card only.

OPTIONS

-d DriverId
    is used to identify the driver when using more than one Teles-card. While loading the module with insmod, the driverId is set by appending id=MyId to the normal insmod-commandline. For this feature insmod from the package modules-1.2.8 or newer should be used as it supports string-initializations.

The LogFlags are given as a bit-coded integer with the following values:

1 Link-level <--> Hardware-level communication.
    If this bit is set all communication between the isdn-module and the teles-module is logged.

2 Top statemachine
    If this bit is set, all state-changes of the top statemachine are logged.

4 D-channel Q.931
    If this bit is set, all Q.931-messages (call-control) are logged.

8 D-channel Q.921
    If this bit is set, all Q.921-messages are logged.

16 B-channel X.75
    If this bit is set, all B-channel X.75 events are logged.

AUTHOR
Fritz Elfert <fritz@wuemaus.franken.de>

SEE ALSO
ttyI (4), isdnctrl (8), telesctrl (8), isdninfo (4).